読者です 読者をやめる 読者になる 読者になる

blechmusikの日記

キー・カスタマイズ・ソフトウェア "DvorakJ" の覚え書きをはじめとして様々なことを書いています。

Emacs 24.3 では menu-tree を使用できないのだろうか

Emacs

 gnupackime-enable-document-feed有効時のフリーズ問題解消? - gnupackの開発メモにて配布されている Emacs 24.3 のバイナリを上書きし、emacs.exeを起動すると次のようなエラーが表示される。
f:id:blechmusik2:20130709020619p:plain
 このエラーは、 init.el の471行目に記載されている (require 'menu-tree) の処理結果を反映したもののようだ。menu-tree.el の 1690行目以後で用いられている menu-tree-update 関数が、問題を生じさせる処理を行っているらしい。
 emacsを確実に起動するには、 (require 'menu-tree) をコメントアウトすることになるだろう。
 他の対処策、具体的には menu-tree を使いつつもエラー処理が発生しない方法があれば、知りたいものである。